part of share_it;

class RawEnum<RawValue> extends Object {
  final RawValue rawValue;
  const RawEnum(this.rawValue);

  @override
  String toString() => this.rawValue.toString();

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      (other is RawEnum && this.rawValue == other.rawValue);

  @override
  int get hashCode => this.rawValue.hashCode;
}
